CollectionAction (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.action.internal
Class CollectionAction

    java.lang.Object
      org.hibernate.action.internal.CollectionAction

All Implemented Interfaces:
  Serializable, Comparable, Executable

Direct Known Subclasses:
  CollectionRecreateAction, CollectionRemoveAction, CollectionUpdateAction

    public abstract class CollectionAction

extends Object
implements Executable, Serializable, Comparable

Any action relating to insert/update/delete of a collection

See Also:
  Serialized Form

Constructor Summary
`CollectionAction(CollectionPersister persister, PersistentCollection collection, Serializable key, SessionImplementor session)`

Method Summary
`void` | `afterDeserialize(SessionImplementor session)` Reconnect to session after deserialization...
`void` | `beforeExecutions()` Called before executing any actions.
`int` | `compareTo(Object other)`
`protected EventSource` | `eventSource()`
`protected void` | `evict()`
`AfterTransactionCompletionProcess` | `getAfterTransactionCompletionProcess()` Get the after-transaction-completion process, if any, for this action.
`BeforeTransactionCompletionProcess` | `getBeforeTransactionCompletionProcess()` Get the before-transaction-completion process, if any, for this action.
`protected PersistentCollection` | `getCollection()`
`protected Serializable` | `getKey()`
`protected CollectionPersister` | `getPersister()`
`Serializable[]` | `getPropertySpaces()` What spaces (tables) are affected by this action?
`protected SessionImplementor` | `getSession()`
`protected
`<T> EventListenerGroup<T>`
` | `listenerGroup(EventType<T> eventType)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.action.spi.Executable
`execute`

Constructor Detail

### CollectionAction

    public CollectionAction(CollectionPersister persister,
                            PersistentCollection collection,
                            Serializable key,
                            SessionImplementor session)

Method Detail

### getCollection

    protected PersistentCollection getCollection()

### afterDeserialize

    public void afterDeserialize(SessionImplementor session)

  Reconnect to session after deserialization...

  Parameters:
    `session` - The session being deserialized

### beforeExecutions

    public final void beforeExecutions()
                                throws CacheException

  Description copied from interface: `Executable`
  Called before executing any actions. Gives actions a chance to perform any preparation.

  Specified by:
    `beforeExecutions` in interface `Executable`
  Throws:
    `CacheException`

### getBeforeTransactionCompletionProcess

    public BeforeTransactionCompletionProcess getBeforeTransactionCompletionProcess()

  Description copied from interface: `Executable`
  Get the before-transaction-completion process, if any, for this action.

  Specified by:
    `getBeforeTransactionCompletionProcess` in interface `Executable`
  Returns:
    The before-transaction-completion process, or null if we have no before-transaction-completion process

### getAfterTransactionCompletionProcess

    public AfterTransactionCompletionProcess getAfterTransactionCompletionProcess()

  Description copied from interface: `Executable`
  Get the after-transaction-completion process, if any, for this action.

  Specified by:
    `getAfterTransactionCompletionProcess` in interface `Executable`
  Returns:
    The after-transaction-completion process, or null if we have no after-transaction-completion process

### getPropertySpaces

    public Serializable[] getPropertySpaces()

  Description copied from interface: `Executable`
  What spaces (tables) are affected by this action?

  Specified by:
    `getPropertySpaces` in interface `Executable`
  Returns:
    The spaces affected by this action.

### getPersister

    protected final CollectionPersister getPersister()

### getKey

    protected final Serializable getKey()

### getSession

    protected final SessionImplementor getSession()

### evict

    protected final void evict()
                        throws CacheException

  Throws:
    `CacheException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(Object other)

  Specified by:
    `compareTo` in interface `Comparable`

### listenerGroup

    protected <T> EventListenerGroup<T> listenerGroup(EventType<T> eventType)

### eventSource

    protected EventSource eventSource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.